## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/polyedge.h File Reference

General 2D polygon, represented by edges. More...

`#include "csextern.h"`
`#include "csgeom/math2d.h"`
`#include "csgeom/segment.h"`

Go to the source code of this file.

## Classes

class | csPoly2DEdges
| The following class represents a general 2D polygon represented with edges instead of vertices. More...
class | csPoly2DEdgesPool
| This is an object pool which holds objects of type csPoly2DEdges. More...

## Detailed Description

General 2D polygon, represented by edges.

Definition in file polyedge.h.